<?php
//namespace application\libraries\hclinica;

class ActionNotaVenta
{
    private $CI;
    private $notaVenta;
    
    public function __construct($params=null)
    {
        $this->CI=&get_instance();
        $this->notaVenta=isset($params["notaVenta"])?$params["notaVenta"]:null;
        $this->CI->load->model("hclinica/CuentaModel","cuentaModel");
    }
    public function guardarNotaVenta()
    {
    	
    }
    public function addCredito()
    {
    	//var_dump($this->notaVenta);
    	$cuenta=(object)$this->getInitCuenta();
    	if($this->notaVenta!=null)
    	{
    		$cuenta->idNotaVenta=$this->notaVenta->idNotaVenta;
    		$cuenta->idUsuario=$this->CI->libapp->getUsuarioSession()["idUsuario"];
    		$cuenta->idPaciente=$this->notaVenta->idPaciente;
    		$cuenta->monto=$this->notaVenta->total;
    		$cuenta->saldo=$this->notaVenta->total;
    		$this->CI->cuentaModel->guardarStdCuenta($cuenta);
    	}
    }
    private function getInitCuenta()
    {
    	$cuenta=[];
    	$cuenta["idCuenta"]=null;
		$cuenta["idNotaVenta"]=0;
		$cuenta["idUsuario"]=0;
    	$cuenta["idPaciente"]=1;
    	$cuenta["monto"]=0;
    	$cuenta["saldo"]=0;
    	$cuenta["fechaAlta"]=date("Y-m-d H:i:s");
    	$cuenta["situacion"]="ALTA";
    	$cuenta["comentarios"]="";
    	$cuenta["status"]=1;
    	return $cuenta;
    }
    private function addMovCuenta($cuentaObj)
    {
    	$movCuenta["idMovCuenta"];
		$movCuenta["idCuenta"];
		$movCuenta["tipoMov"];
		$movCuenta["motivo"];
		$movCuenta["saldoAnterior"];
		$movCuenta["importe"];
		$movCuenta["saldoActual"];
		$movCuenta["fechaAlta"];
		$movCuenta["idEncPago"];
		$movCuenta["situacion"];
		$movCuenta["status"];
    }
    public function guardarTrans()
    {
    	try
    	{

    	}catch(Exception $e){

    	}
    }
}

